%define		debug %nil
%define		debug_package %nil

Name:		trufflehog
Version:	3.4.3
Release:	1
Summary:	Find credentials
URL:		https://trufflesecurity.com
Source0:	https://github.com/trufflesecurity/trufflehog/archive/v%{version}/%{name}-%{version}.tar.gz
License:	AGPL-3.0
Group:		Development/Other
BuildRequires:	go
BuildRequires:	git-core
BuildRequires:	upx

%description
TruffleHog v3 is a complete rewrite in Go with many new
powerful features.

We've added over 700 credential detectors that support 
active verification against their respective APIs.
We've also added native support for scanning GitHub, GitLab,
filesystems, and S3.
Instantly verify private keys against millions of github users
and billions of TLS certificates using our Driftwood technology.


%prep
%setup -q

%build
go mod download
CGO_ENABLED=0 go build -a -o bin/trufflehog main.go
upx bin/%{name}

%install
install -Dm0755 bin/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README.md LICENSE
%{_bindir}/%{name}

